Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jdbc
Interface HeuristicDataSource

All Superinterfaces:
  DataSource

All Known Implementing Classes:
  AbstractDataSourceBean, AtomikosDataSourceBean, AtomikosNonXADataSourceBean, DataSourceBean, JtaDataSourceImp, NonXADataSourceBean, NonXADataSourceImp, SimpleDataSourceBean

    public interface HeuristicDataSource

extends DataSource

A data source that supports the addition of heuristic messages to SQL data access.

Method Summary
`Connection` | `getConnection(HeuristicMessage msg)` Get a connection to the datasource for the given description of the work.
`Connection` | `getConnection(String msg)` Get a connection to the datasource for the given description of the work.
`Connection` | `getConnection(String user, String passwd, HeuristicMessage msg)` Get a connection to the datasource for the given description of the work.
`Connection` | `getConnection(String user, String passwd, String msg)` Get a connection to the datasource for the given description of the work.

Methods inherited from interface javax.sql.DataSource
`getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Method Detail

### getConnection

    Connection getConnection(String msg)
                             throws SQLException

  Get a connection to the datasource for the given description of the work.

  Parameters:
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

### getConnection

    Connection getConnection(String user,
                             String passwd,
                             String msg)
                             throws SQLException

  Get a connection to the datasource for the given description of the work.

  Parameters:
    `user` - The user name to use.
    `passwd` - The password.
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

### getConnection

    Connection getConnection(HeuristicMessage msg)
                             throws SQLException

  Get a connection to the datasource for the given description of the work.

  Parameters:
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

### getConnection

    Connection getConnection(String user,
                             String passwd,
                             HeuristicMessage msg)
                             throws SQLException

  Get a connection to the datasource for the given description of the work.

  Parameters:
    `user` - The user name to use.
    `passwd` - The password.
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.